Install NVIDIA [495.44 / 470.86 / 390.144 / 340.108] Drivers on Debian / Ubuntu / Linux Mint / LMDE - Comment Page: 1

This is guide, howto install NVIDIA proprietary drivers (manually using .run files) on Debian Sid/11/10, Ubuntu 21.10/21.04/20.10, Linux Mint 20.2 / 20.1, LMDE 4 and disable Nouveau driver. This guide works with GeForce 8/9/200/300/400/500/600/700/800/900/10/20/30 series cards. This is alternative way to install NVIDIA drivers, because Debian based Linux distros have NVIDIA drivers directly from repos too. GeForce RTX 30 series cards works with 495.xx, 470.xx, 465.xx and 460.xx NVIDIA drivers, (RTX 3090, RTX 3080, RTX 3070, RTX 3060 Ti, RTX 3060) GeForce RTX 20 series cards works with 495.xx, 470.xx, 465.xx, 460.xx and 450.xx NVIDIA drivers (RTX 2080 Ti, RTX 2080, RTX 2070 Ti, RTX...

46 comments on “Install NVIDIA [495.44 / 470.86 / 390.144 / 340.108] Drivers on Debian / Ubuntu / Linux Mint / LMDE - Comment Page: 1

1 2
    1. [email protected]:~$ nvidia-installer -v |grep version
      nvidia-installer: version 460.84
      [email protected]:~$ uname -a
      Linux RANGER-LM 5.4.0-77-generic #86-Ubuntu SMP Thu Jun 17 02:35:03 UTC 2021 x86_64 x86_64 x86_64 GNU/Linux
      [email protected]:~$ lspci |grep -E “VGA|3D”
      01:00.0 VGA compatible controller: NVIDIA Corporation GM204 [GeForce GTX 970] (rev a1)
      [email protected]:~$

      Reply
    2. esto si funciona a la perfecion! gracias!
      compre una tarjeta china muy barata pero venia alterado el firmware para que indicara que era un modelo mas reciente. el problema era que al instalar los drivers el sistema instalaba para el modelo reciente y todo dejaba de funcionar.
      con esta guia pude colocar el driver correcto y funciono todo a la perfeccion gracias

      Reply
    3. I have successfully installed it in my old PC which uses Linux Kali operating system (5.10.0-kali9-amd64
      ) and has Quadro FX video card. It is working perfectly, thank you very much, this is the only tutorial that worked with me.

      Reply
    4. [email protected]:~$ nvidia-installer -v | grep version
      nvidia-installer: version 460.91.03
      [email protected]:~$ uname -a
      Linux skynet-legion 5.10.0-8-amd64 #1 SMP Debian 5.10.46-4 (2021-08-03) x86_64 GNU/Linux
      [email protected]:~$ lspci | grep -E “VGA|3D”
      01:00.0 VGA compatible controller: NVIDIA Corporation TU106M [GeForce RTX 2060 Mobile] (rev a1)
      [email protected]:~$

      Reply
    5. Thank you for this guide, amazing, and Google does not give it the ranking result it deserves. I learned a couple things from this that I wanted to share.
      My Specs: Nvidia PNY T600 gpu, Linux Mint 20.2 (clean install), Monitors 3x Dell U2417H
      1. Latest Nvidia 470 driver installs dracut 48 on my system (or at least that is the current version listed as compatible with Mint 20.2) which causes errors to show on screen during boot and shutdown. (fixed in versions 49 and 50 of dracut, but those versions have not been ported to my system)
      2. Really bad screen flickering, from what I can tell it has something to do with how NVIDIA handles dithering. Tried to manually adjust dithering but it keeps coming back, have to open the Nvidia software after every boot just to make it go away mostly. I didn’t have this problem with integrated Intel graphics. I have given up and I am now going to be trying a Radeon Pro GPU.

      Reply
    6. Thank you!, it works perfectly on Linux debian 5.10.0-8-amd64 #1 SMP Debian 5.10.46-4 (2021-08-03) x86_64 GNU/Linux
      01:00.0 VGA compatible controller: NVIDIA Corporation GT215GLM [Quadro FX 1800M] (rev a2)

      Reply
      • What error you get off you try install it with dkms?

        Reply
    7. My laptop stoppe on “Finished Terminate Plymouth Boot Screen.
      What can I do?

      Reply
      • Hello Emil,

        Could you post output of following commands:

        uname -a
        
        lspci |grep -E "VGA|3D"

        Also what NVIDIA Drivers version you used?

        Reply
    8. MacBook Air Late 2010 with Linux Mint 20.02 XFCE .

      Kernel is 5.4 but with the stock Nvidia Drivers is not working so I tried your solution but I have errors in creating DKMS modules , if you want to take a look at my paste bin of /var/lib/dkms/nvidia/340.1008/build/make.log :

      https://pastebin.com/gHeXxbSZ

      let me know what you think…

      Best Regards,
      Simo

      Reply
    9. MacBook Air Late 2010 with Linux Mint 20.02 XFCE .

      Kernel is 5.4 but with the stock Nvidia Drivers is not working so I tried your solution but I have errors in creating DKMS modules , if you want to take a look at my paste bin of /var/lib/dkms/nvidia/340.1008/build/make.log :

      https://pastebin.com/gHeXxbSZ

      let me know what you think…

      Best Regards,
      Simo

      Reply
    10. Hi JR,
      Thank you for putting this together. I have used it successfully several times. I have a Quadro 3000M and tried installing 390.144 but ran into the same DKMS build error that several other users ran into with other versions. Do I need to patch 390.144?

      Reply
      • Sorry to bother you again JR, I’m so new to linux, any advice on patching 304.117 would be amazing. Thank you.

        Reply
    11. Never start again after this. Ubuntu 21.10. Nvidia 1050 ti

      Reply
      • What NVIDIA version you tried to install?

        Could you also post output of following command:

        lspci |grep -E "VGA|3D"
        

        Do you see any errors on Xorg log?

        Reply
    12. You saved my life!

      nvidia-installer: version 340.108 ([email protected]) Wed Dec 11 15:13:39 PST 2019
      Linux bryan 5.13.0-19-generic #19-Ubuntu SMP Thu Oct 7 21:58:00 UTC 2021 x86_64 x86_64 x86_64 GNU/Linux
      01:00.0 VGA compatible controller: NVIDIA Corporation GT218M [NVS 3100M] (rev a2)

      Reply
    13. I have tried this with my 9600GT (driver 340.108). Since than I can’t start with my graphical interface, and I can’t even turn off my system without holding down the power button. I followed the tutorial word by word what should I do?

      Reply
      • Hello B,

        Could you tell me a bit more about your Linux distro and post output of following commands:

        uname -a
        
        lspci |grep -E "VGA|3D"

        Did you used patched installer?

        Reply
1 2

Leave a Reply to Peter Cancel reply

Your email address will not be published. Required fields are marked *

This site uses Akismet to reduce spam. Learn how your comment data is processed.

Close